> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢提現狀態

> 按事件 ID 查詢提現狀態。

按事件 ID 查詢提現狀態。

> [!NOTE]
>
> 使用 Broker API Key 呼叫，並在請求頭提供 `X-User-Wallet-Address`。網關會校驗錢包與 Broker 的歸屬關係。 認證規則見[Broker API 認證與簽名](https://dexbuilder.mintlify.site/zh-TW/api-reference/common/broker-authentication.md)。

## 使用說明

* 狀態 `0` 表示未查詢到，`10` 表示待提現，`11` 表示確認中，`20` 表示成功，`30` 表示失敗。`20` 和 `30` 為終態；未上鏈時 `tx_hash` 為空。處理中可每 3–10 秒查詢一次。


## OpenAPI

````yaml openapi/dexbuilder-zh-TW.yaml GET /api/v4/dexbuilder/withdraw/status
openapi: 3.0.3
info:
  title: DexBuilder 平台 Broker API
  version: 1.0.0
  description: DexBuilder 平台 Broker API，涵蓋資產配置、使用者、充值與提現能力。認證和使用者錢包校驗見本站統一網關說明。
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/dexbuilder/withdraw/status:
    get:
      tags:
        - 提現
      summary: 查詢提現狀態
      operationId: getDexBuilderWithdrawStatus
      parameters:
        - $ref: '#/components/parameters/SubUserWalletAddr'
        - name: event_id
          in: query
          required: true
          description: 提現 submit 回傳的 UUID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: 查詢成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopeWithdrawStatus'
        '400':
          $ref: '#/components/responses/OpenAPIBadRequest'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          $ref: '#/components/responses/GatewayUnauthorized'
        '403':
          $ref: '#/components/responses/ProjectAccessDenied'
      security:
        - BrokerAPIKey: []
          Timestamp: []
          Signature: []
components:
  parameters:
    SubUserWalletAddr:
      name: X-User-Wallet-Address
      in: header
      required: true
      description: 目標終端使用者錢包地址。網關校驗該錢包對應的使用者屬於當前 Broker。
      schema:
        type: string
  schemas:
    EnvelopeWithdrawStatus:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/PerpWithdrawStatusResponse'
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - label
          properties:
            label:
              type: string
              description: 穩定的機器可讀錯誤標識
            data:
              nullable: true
              description: 錯誤時一般為 null
    EnvelopeBase:
      type: object
      properties:
        code:
          type: integer
          example: 0
          description: 業務碼，`0` 表示成功
        message:
          type: string
          example: success
          description: 人類可讀說明，成功時為 success
        reason:
          type: string
          description: 錯誤原因標識；成功時通常為空字符串
        trace_id:
          type: string
          description: 鏈路追蹤 ID，排障時提供
    PerpWithdrawStatusResponse:
      type: object
      properties:
        event_id:
          type: string
          description: 提現事件 ID
        tx_hash:
          type: string
          description: 鏈上交易哈希，未上鏈時為空
        status:
          type: integer
          description: 0 未查詢到；10 待提現；11 確認中；20 成功；30 失敗
  responses:
    OpenAPIBadRequest:
      description: 請求無效（參數、請求體、使用者身份或業務校驗）
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            invalidArgument:
              summary: 參數無效
              value:
                label: INVALID_ARGUMENT
                message: invalid argument
            userNotFound:
              summary: 使用者不存在
              value:
                label: USER_NOT_FOUND
                message: User not found
            missingHeader:
              summary: 缺少必要請求頭
              value:
                label: MISSING_REQUIRED_HEADER
                message: invalid headers
    GatewayUnauthorized:
      description: Broker API Key、簽名或時間戳無效
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          examples:
            invalidKey:
              summary: 無效 API Key
              value:
                label: INVALID_KEY
                message: Invalid key provided
                code: 401
                trace_id: abc123
            invalidSignature:
              summary: 簽名錯誤
              value:
                label: INVALID_SIGNATURE
                message: Invalid signature
                code: 401
                trace_id: abc123
    ProjectAccessDenied:
      description: 專案未綁定或 Broker/API Key 不匹配
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            code: 40300801
            reason: P_DEX_BUILDER_IN_PROJECT_ACCESS_DENIED
            label: PROJECT_ACCESS_DENIED
            message: project access denied
            data: null
  securitySchemes:
    BrokerAPIKey:
      type: apiKey
      in: header
      name: KEY
      description: Broker API Key
    Timestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 秒級時間戳
    Signature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 Broker Secret Key 生成的 HMAC-SHA512 十六進制簽名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.